<?php
namespace Ep\Woo;

use Ep\Config\ConfigAggregator;
use Zend\ConfigAggregator\PhpFileProvider;

/**
 * Class ConfigProvider
 *
 * @package Ep\Woo
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke()
    {
        return (new ConfigAggregator([
            \Ep\Currency\ConfigProvider::class,

            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]))->getMergedConfig();
    }
}