<?php
namespace Ep\Woo\Plugin;

use Ep\Wp\Plugin\PluginInterface;

/**
 * Prijevodi
 *
 * @package Ep\Woo\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Translations implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     *
     * @return void
     */
    public function __invoke(): void
    {
        add_action('init', [$this, 'init']);
    }

    public function init()
    {
        $mofile = __DIR__ . '/../../i18n/' . get_locale() . '.mo';

        if (file_exists($mofile)) {
            load_textdomain('ep-woocommerce', $mofile);
        }
    }
}